<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="paf_reimput_exer"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="true">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="ETABLISSEMENT" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="REP_BASE_PATH" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="EXERCICE" isForPrompting="true" class="java.lang.Integer">
		<defaultValueExpression ><![CDATA[new Integer(2009)]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[select pa.id_bs, page_nom, page_prenom, mois_complet, dpp_numero_facture, dep_ttc_saisie, prd_type , pco_num, org_ub, org_cr, org_souscr
from jefy_paf.paf_reimputation pr, jefy_paf.paf_reimput_depenses prd, jefy_depense.depense_budget dep, jefy_depense.engage_budget e,
jefy_depense.depense_ctrl_planco dcp, jefy_paf.paf_agent pa,jefy_depense.depense_papier dpp,
jefy_paf.paf_mois m,  jefy_admin.organ o
where pr.pre_id = prd.pre_id and prd.dep_id = dep.dep_id and pr.Page_id = pa.Page_id and pa.exe_ordre = m.mois_annee 
and pa.mois = m.mois_numero and dep.dpp_id = dpp.dpp_id and dep.eng_id = e.eng_id
and dep.dep_id = dcp.dep_id and e.org_id = o.org_id
and pre_etat = 'TRAITE'
and pa.exe_ordre = $P{EXERCICE}
order by m.mois_code, page_nom, page_prenom ,prd_type DESC, pco_num]]></queryString>

	<field name="ID_BS" class="java.lang.String"/>
	<field name="PAGE_NOM" class="java.lang.String"/>
	<field name="PAGE_PRENOM" class="java.lang.String"/>
	<field name="MOIS_COMPLET" class="java.lang.String"/>
	<field name="DPP_NUMERO_FACTURE" class="java.lang.String"/>
	<field name="DEP_TTC_SAISIE" class="java.math.BigDecimal"/>
	<field name="PRD_TYPE" class="java.lang.String"/>
	<field name="PCO_NUM" class="java.lang.String"/>
	<field name="ORG_UB" class="java.lang.String"/>
	<field name="ORG_CR" class="java.lang.String"/>
	<field name="ORG_SOUSCR" class="java.lang.String"/>

	<variable name="SUM_MONTANT_SENS" class="java.math.BigDecimal" resetType="Group" resetGroup="TYPE" calculation="Sum">
		<variableExpression><![CDATA[$F{DEP_TTC_SAISIE}]]></variableExpression>
	</variable>

		<group  name="MOIS" isStartNewPage="true" >
			<groupExpression><![CDATA[$F{MOIS_COMPLET}]]></groupExpression>
			<groupHeader>
			<band height="23"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="0"
						y="6"
						width="535"
						height="16"
						forecolor="#000000"
						backcolor="#CCFFCC"
						key="textField-6"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement verticalAlignment="Middle">
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[" " + $F{MOIS_COMPLET}]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<group  name="AGENT" >
			<groupExpression><![CDATA[$F{ID_BS}]]></groupExpression>
			<groupHeader>
			<band height="23"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="38"
						y="5"
						width="497"
						height="16"
						forecolor="#000000"
						backcolor="#FFCCCC"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement verticalAlignment="Middle">
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[" " + $F{PAGE_NOM}+" "+$F{PAGE_PRENOM}]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<group  name="TYPE" >
			<groupExpression><![CDATA[$F{PRD_TYPE}]]></groupExpression>
			<groupHeader>
			<band height="14"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="72"
						y="1"
						width="463"
						height="13"
						backcolor="#CCCCFF"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{PRD_TYPE}]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="13"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="421"
						y="0"
						width="113"
						height="11"
						backcolor="#CCCCFF"
						key="textField-2"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right">
						<font pdfFontName="Helvetica-Bold" size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["TOTAL : " + new java.text.DecimalFormat("#,##0.00").format($V{SUM_MONTANT_SENS}) + " €"]]></textFieldExpression>
				</textField>
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="5"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="40"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="0"
						y="15"
						width="535"
						height="22"
						backcolor="#CCCCCC"
						key="textField-3"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="1Point" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000" bottomPadding="2"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Arial" pdfFontName="Helvetica" size="14" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["REIMPUTATIONS BUDGETAIRES - EXERCICE "+$P{EXERCICE}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="469"
						height="11"
						key="textField-4"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{ETABLISSEMENT}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd/MM/yyyy" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="469"
						y="0"
						width="66"
						height="11"
						key="textField-5"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.util.Date"><![CDATA[new Date()]]></textFieldExpression>
				</textField>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="11"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="395"
						y="-1"
						width="60"
						height="12"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{PCO_NUM}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="459"
						y="-1"
						width="76"
						height="12"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[new java.text.DecimalFormat("#,##0.00").format($F{DEP_TTC_SAISIE})]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="125"
						y="-1"
						width="264"
						height="12"
						key="textField-7"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{ORG_UB}+" / "+$F{ORG_CR} + " / " + $F{ORG_SOUSCR}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
